
Foreman - Bug #4315

Hosts power management API doesn't return standard error responses

02/11/2014 02:37 PM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

From #4309.

The /hosts/:id/power, /hosts/:id/boot, /hosts/facts APIs don't use the standard error construct created in #3960 for APIv2, instead they

just have a top level "error" node with a message value, rather than {"error":{"message":"..."}}.

Related issues:

Related to Hammer CLI - Bug #4309: hammer host start no longer powers on VMwa... Closed

Related to Foreman - Bug #3869: API error messages poorly formatted Closed 12/12/2013

History

#1 - 02/11/2014 02:37 PM - Dominic Cleal

- Related to Bug #4309: hammer host start no longer powers on VMware host added

#2 - 02/11/2014 02:40 PM - Dominic Cleal

- Related to Bug #3869: API error messages poorly formatted added

#3 - 04/30/2021 08:26 AM - Leos Stejskal

- Triaged changed from No to Yes
